create_pblock pblock_1
resize_pblock pblock_1 -add {SLICE_X26Y600:SLICE_X206Y959 DSP48E2_X2Y240:DSP48E2_X29Y383 RAMB18_X2Y240:RAMB18_X11Y383 RAMB36_X2Y120:RAMB36_X11Y191 URAM288_X0Y160:URAM288_X4Y255}
add_cells_to_pblock pblock_1 [get_cells [list payload/StubProcessor/MuxInstance payload/StubProcessor/RouteInstance]] -clear_locs

set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[0].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[1].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[2].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[3].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[4].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[5].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[6].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[7].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[8].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[9].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[10].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[11].LinkInterface]

set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[12].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[13].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[14].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[15].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[16].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[17].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[18].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[19].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[20].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[21].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[22].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[23].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[24].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[25].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[26].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[27].LinkInterface]

set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[28].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[29].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[30].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[31].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[32].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[33].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[34].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[35].LinkInterface]

set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[36].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[37].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[38].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[39].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[40].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[41].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[42].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR2 [get_cells payload/module[43].LinkInterface]

set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[44].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[45].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[46].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[47].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[48].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[49].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[50].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[51].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[52].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[53].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[54].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[55].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[56].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[57].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[58].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR1 [get_cells payload/module[59].LinkInterface]

set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[60].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[61].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[62].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[63].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[64].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[65].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[66].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[67].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[68].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[69].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[70].LinkInterface]
set_property USER_SLR_ASSIGNMENT SLR0 [get_cells payload/module[71].LinkInterface]
